Is there any place that summarizes the major differences between Ruby
1.8.2 and Ruby 1.8.4?

I've got Ruby 1.8.2 installed in a bunch of places and am wondering if
it's worth it to upgrade.

Thanks,
Joe